colorscheme everforest-dark-soft

set-option global ui_options terminal_set_title=no terminal_assistant=cat # The cat is critically important.

set-option global tabstop 4
set-option global indentwidth 4

add-highlighter global/ show-matching

declare-option str windowing_placement horizontal
# With the way that Kakoune's windowing detection is currently set up, the wezterm module will never be loaded.
# So, we need to fix the order in which windowing modules are declared.
declare-option str-list windowing_modules 'tmux' 'screen' 'zellij' 'kitty' 'wezterm' 'iterm' 'appleterminal' 'sway' 'wayland' 'x11'

hook global WinCreate .* %{
    add-highlighter window/number-lines number-lines -hlcursor
}
