# https://xplr.dev/
# Seriously, xplr is awesome. Get it if you haven't already.

define-command xplr-open -params 1 %{
    evaluate-commands %sh{
        for xplr_file in $1; do
            if [ -f "$xplr_file" ]; then
                printf "%s\n" "edit $xplr_file"
            fi
        done
    }
} -hidden

define-command xplr -params ..1 %{
    popup --title open --kak-script %{ xplr-open %opt{popup_output} } -- xplr %arg{@}
}

# Utility command to edit a kak config file with xplr
define-command edit-config %{
    xplr %val{config}
}
